Pixelator
Date: 2019-10-22

org.jmol.g3d

## Class Pixelator

- java.lang.Object
- - org.jmol.g3d.Pixelator

- Direct Known Subclasses:
    PixelatorScreened, PixelatorShaded, PixelatorT

      class Pixelator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `bgcolor`
    `protected Graphics3D` | `g`
    `(package private) Pixelator` | `p0`
    `protected int[]` | `pb`
    `(package private) int` | `width`
    `protected int[]` | `zb`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pixelator(Graphics3D graphics3d)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addImagePixel(byte shade, int tLog, int offset, int z, int argb, int bgargb)`
    `(package private) void` | `addPixel(int offset, int z, int p)`
    `(package private) void` | `clearPixel(int offset, int z)`
    `(package private) void` | `setBuf()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### g

          protected final Graphics3D g

    - #### p0

          Pixelator p0

    - #### zb

          protected int[] zb

    - #### pb

          protected int[] pb

    - #### width

          int width

    - #### bgcolor

          int bgcolor

  - ### Constructor Detail

    - #### Pixelator

          Pixelator(Graphics3D graphics3d)

      Parameters:
        `graphics3d` -

  - ### Method Detail

    - #### setBuf

          void setBuf()

    - #### clearPixel

          void clearPixel(int offset,
                          int z)

    - #### addPixel

          void addPixel(int offset,
                        int z,
                        int p)

    - #### addImagePixel

          public void addImagePixel(byte shade,
                                    int tLog,
                                    int offset,
                                    int z,
                                    int argb,
                                    int bgargb)